#include <stdio.h>
#include <string.h>
#include <stdlib.h>

void slow_sort(char *arrIn[], int nrElements) {
  int ready = 0,j;

  while(!ready){
    ready=1;
    for (j=0; j< nrElements; j++) {
      if (strcmp(arrIn[j], arrIn[j+1]) > 0) {
        char *tmp;
        ready = 0;
        tmp = arrIn[j];
        arrIn[j] = arrIn[j+1];
        arrIn[j+1] = tmp;
      }
    }
  }
}

int main(int argc, char *argv[]) {
  int i, nrElems;
  char **args;
  
  nrElems = argc-1; 
  args = (char **) malloc(nrElems*sizeof(char *));
  for (i=0; i< nrElems; i++)
    args[i] = strdup(argv[i+1]);

  slow_sort(args, nrElems);

  for(i=0; i<nrElems; i++)
    printf("%d: %s\n", i, args[i]);

  free(args); 
  return 0; 
}
